%define _legacy_common_support 1

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Gerber file viewer
Name: 		gerbv
Version:	2.7.3
Release: 	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
URL:		http://gerbv.geda-project.org/
Source:		https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz
Patch1:		01-Fix-Werror-format-security-problem.patch
Patch2:		387f07b163cc30cd95e9bedf53bc07e7b38cc318.patch
Patch3:		caa6560d5d683f827c672fd5e380f89a8ef632b6.patch
Patch4:		68ee18945bcf68ff964c42f12af79c5c0e2f4069.patch
BuildRequires:	bison
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	gettext-devel
Recommends:	%{name}-examples >= %{version}

%description
Gerbv is a viewer for Gerber files. Gerber files are generated from PCB CAD
system and sent to PCB manufacturers as basis for the manufacturing process.

%package examples
Summary:	Gerber file examples for gerbv
Group: 		Sciences/Other
Requires:	gerbv

%description examples
Example files for gerbv.

%package -n %{libname}
Summary:	Libraries for gerbv
Group:		Sciences/Other

%description -n %{libname}
Libraries for gerbv.

%package -n %{devname}
Summary:	Development files for gerbv
Group:		Sciences/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n %{devname}
Development files for gerbv.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-update-desktop-database \
	--disable-static
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

cp -fr doc example %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor ""               \
    --remove-key=Version                       \
    --remove-key=Encoding                      \
    --add-category=Science                     \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/gerbv
%{_mandir}/man1/gerbv.*
%dir %{_datadir}/gerbv
%{_datadir}/gerbv/gerbv_icon.ico
%{_datadir}/gerbv/doc/
%{_datadir}/gerbv/scheme/
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.geda-user.gerbv.gschema.xml

%files examples
%{_datadir}/gerbv/example/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Jul 11 2022 ns80 <ns80> 2.7.3-1.mga8
+ Revision: 1868480
- update to 2.7.3 and add upstream patches for CVE-2021-4039[134] and CVE-2021-4040[01] (mga#30622)
- add upstream patch for CVE-2021-40403 (mga#30391)

* Tue Aug 25 2020 martinw <martinw> 2.7.0-3.mga8
+ Revision: 1618955
- fix build with GCC 10

* Sat Feb 15 2020 umeabot <umeabot> 2.7.0-2.mga8
+ Revision: 1525387
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 14 2019 daviddavid <daviddavid> 2.7.0-1.mga7
+ Revision: 1389999
- new version: 2.7.0
- remove merged upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 2.6.2-2.mga7
+ Revision: 1297866
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 daviddavid <daviddavid> 2.6.2-1.mga7
+ Revision: 1140836
- new version: 2.6.2
- remove no more needed no-translation patch
- rename and rediff automake patch

* Sat Feb 06 2016 umeabot <umeabot> 2.6.1-5.mga6
+ Revision: 941397
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-4.mga5
+ Revision: 741296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.1-3.mga5
+ Revision: 679509
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ wally <wally>
- fix source and url tag
- clean .spec

* Mon Oct 21 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 539642
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 juergen_harms <juergen_harms> 2.6.1-1.mga4
+ Revision: 492628
- add BuildRequires for gettext-devel
- upgrade to new upstream version (gerbv-2.6.1)
- remove obsolete configure options, add call to autogen.sh
- add patch against undefined ru translation file (OpenSuse)
- create patch against use of obsolete macro AM_CONFIG_HEADER
- resolve underlinking error (disable no-undefined flag)
+ wally <wally>
- disable static build and get rid of .la file
- add patch to fix odd build issue with new automake

* Sat Jan 12 2013 umeabot <umeabot> 2.6.0-5.mga3
+ Revision: 351404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 juergen_harms <juergen_harms> 2.6.0-4.mga3
+ Revision: 324199
- remove obsolte Requires for lib_canberra
- modify non-standard Group: item in specfile (Graphics -> Sciences/Other)
- add patch to correct the desktop-menu category (bugzilla #8257)

* Fri Mar 02 2012 juergen_harms <juergen_harms> 2.6.0-3.mga2
+ Revision: 216857
- correct libcanberra0 dependency

* Fri Feb 17 2012 juergen_harms <juergen_harms> 2.6.0-2.mga2
+ Revision: 210018
- import new release from upstream
- correct source URL at sourceforge
- add dependency on libcanberra-gtk0

* Sun Nov 20 2011 juergen_harms <juergen_harms> 2.5.0-1.mga2
+ Revision: 169669
- imported from Mdv 2011.1
- imported package gerbv


* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 2.5.0-1mdv2011.0
+ Revision: 643209
- update to new version 2.5.0

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-3mdv2011.0
+ Revision: 610842
- rebuild

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 2.4.0-2mdv2010.1
+ Revision: 511119
- new version 2.4.0

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 466087
- new version 2.3.0

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2010.0
+ Revision: 437670
- rebuild

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 319961
- new version 2.1.0

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-3mdv2009.0
+ Revision: 245941
- rebuild

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 163358
- New version 2.0.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import gerbv


* Fri Jun 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.1-2mdv2007.0
- rebuild, P0 for gcc4

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.0.1-1mdk
- 1.0,1

* Thu Dec 16 2004 Stew Benedict <sbenedict@mandrakelinux.com>> 0.16-1mdk
- 1st Mandrakelinux release
- adapted from FC2 package by Wojciech Kazubski
